// BEGIN Resources
//
// params = 
// 	0 - Valores : text, passowrd
//			Descrio: Tipo do campo text ou password;
// 	1 - Valores : enabled, disabled
//			Descrio : Se a input est habilitada para inserir dados	
//	2 - Valores : string
//			Descrio : tipo do dado
//	3 - Valores : true, false
//			Descrio : Se o campo  um valor obrigatrio para as requisies
//	4 - Valores : vazio ou qualquer outro valor que seja padro
//			Descrio : Caso o campo necessite de um valor default
//	5 - Valores : Campo aberto
//			Descrio : Utilizado para informar ao usurio qual o tipo da informao  necessria					

var resources_expresso = 
{
	login :
	{
		apps	: [],		
		id 		: "login",
		description : "Realiza a autenticao do usurio",
		method : ["POST"],
		rest   : "Login",
		click  : "execute.ajax('login')",
		params :
		{ 
			auth : 		["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			user : 		[ "text", "enabled", "string", true, "", "Login do Usurio"],
			password:	[ "password", "enabled", "string", true, "", "Senha do Usurio"]
		}
	},

	logout :
	{
		apps	: [],
		id 		: "logout",
		description : "Desloga o usurio, invalidando a chave de autenticao",
		method	: ["POST"],
		rest 	: "Logout",
		click 	: "execute.ajax('logout')",
		params 	:
		{
			auth :["text", "disabled", "string", true, "", "Chave de autenticao do usurio"]
		}
	},

	expresso_version :
	{
		apps	: [],
		id 		: "expresso_version",
		description : "Retorna a verso do Expressos e a Verso da API instalada",
		method	: ["POST","GET"],
		rest 	: "ExpressoVersion",
		click	: "execute.ajax('expresso_version')"
	},

	mail_folders :
	{
		apps 	: ["mail"],
		id 		: "mail_folders",
		description : "Lista as pastas do usurios",
		method	: ["POST"],
		rest 	: "Mail/Folders",
		click	: "execute.ajax('mail_folders')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			folderID	:["text", "enabled", "string", false, "", "Pasta base para a busca"],
			search 		:["text", "enabled", "string", false, "", "Buscar pastas com o nome" ]
		}
	},

	mail_add_folder :
	{
		apps	: ["mail"],		
		id 		: "mail_add_folder",
		description : "Adiciona uma nova pasta.",
		method 	: ["POST"],
		rest 	: "Mail/AddFolder",
		click	: "execute.ajax('mail_add_folder')",
		params 	:
		{
			auth 			:["text", "disabled", "string", true, "", "Chave de autenticao do usurio."],
			parentfolderID	:["text", "enabled", "string", true, "INBOX", "Pasta base para adicionar a nova pasta."],
			folderName		:["text", "enabled", "string", true, "", "Nome da nova Pasta."]
		}
	},

	mail_messages :
	{
		apps	: ["mail"],		
		id 		: "mail_messages",
		description : "Retorna as mensagens do usurio",
		method 	: ["POST"],
		rest 	: "Mail/Messages",
		click	: "execute.ajax('mail_messages')",
		params 	:
		{
			auth 			:["text", "disabled", "string", true, "", "Chave de autenticao do usurio."],
			folderID 		:["text", "enabled", "string", false, "INBOX", "Pasta base retornar as mensagens."],
			msgID			:["text", "enabled", "string", false, "", "ID da mensagem."],
			search			:["text", "enabled", "string", false, "", "Buscar pastas com o nome."],
			resultsPerPage	:["text", "enabled", "int", true, "10", "Resultados por pgina."],
			page			:["text", "enabled", "int", true, "1", "Pgina Atual."]
		}
	},

	mail_attachment :
	{
		apps	: ["mail"],		
		id 		: "mail_attachment",
		description : "Retorna o anexo da mensagem para download",
		method	: ["POST"],
		rest	: "Mail/Attachment",
		click	: "execute.ajax('mail_attachment')",
		params 	:
		{
			auth 			:["text", "disabled", "string", true, "", "Chave de autenticao do usurio."],
			folderID 		:["text", "enabled", "string", false, "", "Pasta onde est localizada a mensagem."],
			messageID		:["text", "enabled", "string", false, "", "ID da mensagem na pasta."],
			attachmentID	:["text", "enabled", "string", false, "", "ID do anexo da mensagem."],
		}
	},

	mail_send:
	{
		apps	:["mail"],
		id 		: "mail_send",
		description : "Envia uma mensagem de email.",
		method 	: ["POST"],
		rest 	: "Mail/Send",
		click	: "execute.ajax('mail_send')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio."],
			msgTo 		:["text", "enabled", "string", true, "", "Enviar mensagem para."],
			msgCc		:["text", "enabled", "string", false, "", "Enviar mensagem com cpia para."],
			msgBcc 		:["text", "enabled", "string", false, "", "Enviar mensagem com cpia oculta para."],
			msgSubject 	:["text", "enabled", "string", true, "", "Assunto da mensagem."],
			msgBody 	:["text", "enabled", "string", true, "", "Contedo da mensagem."]
		}
	},

	mail_rename_folder:
	{
		apps	: ["mail"],		
		id 		: "mail_rename_folder",
		description : "Renomeia uma pasta, recebe como parametros o \"folderID\" da pasta a ser renomeada, e o nome da nova pasta \"folderName\"",
		method	: ["POST"],
		rest 	: "Mail/RenameFolder",
		click	: "execute.ajax('mail_rename_folder')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			folderID	:["text", "enabled", "string", true, "", "ID (folderID) da pasta que ser renomeada"],
			folderName	:["text", "enabled", "string", true, "", "Nome da nova Pasta"]
		}
	},

	mail_del_folder:
	{
		apps	: ["mail"],		
		id 		: "mail_del_folder",
		description : "Exclui uma pasta. Recebe como parametros o \"folderID\" da pasta que ser excluda. Obs: Somente exclui a pasta se no houver mensagens dentro dela.",
		method 	: ["POST"],
		rest 	: "Mail/DelFolder",
		click	: "execute.ajax('mail_del_folder')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			folderID 	:["text", "enabled", "string", true, "", "ID (folderID) da pasta que ser excluida."]	
		}

	},

	mail_clean_trash:
	{
		apps	: ["mail"],		
		id 		: "mail_clean_trash",
		description : "Limpa a Lixeira do Usurio",
		method 	: ["POST"],
		rest 	: "Mail/CleanTrash",
		click	: "execute.ajax('mail_clean_trash')",
		params 	:
		{
			auth :["text", "disabled", "string", true, "", "Chave de autenticao do usurio."]	
		}
	},

	mail_send_support_feedback:
	{
		apps	: ["mail"],		
		id 		: "mail_send_support_feedback",
		description : "Envia uma mensagem de Sugesto para o administrador do Expresso.",
		method 	: ["POST"],
		rest 	: "Mail/SendSupportFeedback",
		click	: "execute.ajax('mail_send_support_feedback')",
		params 	:
		{
			auth 	:["text", "disabled", "string", true, "", "Chave de autenticao do usurio."],
			message	:["text", "enabled", "string", true, "", "Mensagem de sugesto a ser enviada para o suporte do Expresso."]	
		}
	},

	catalog_contacts:
	{
		apps	: ["catalog"],		
		id 		: "catalog_contacts",
		description : "Retorna os contatos do Catlogo Pessoal e Geral, recebe como parametros o \"search\" como parametro de busca e o contactType (1-Pessoal, 2-Catlogo Geral)",
		method	: ["POST"],
		rest 	: "Catalog/Contacts",
		click	: "execute.ajax('catalog_contacts')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio."],
			search 		:["text", "enabled", "string", false, "", "Buscar contatos pelo nome"],
			contactType :["text", "enabled", "string", true, "", "Tipo do contato a ser buscado (1-Pessoal, 2-Catlogo Geral)."]
		}
	},

	catalog_contact_picture:
	{
		apps	: ["catalog"],
		id 		: "catalog_contact_picture",
		description : "Retorna a foto de um contato em BASE64. Recebe como parametros o \"contactID\" e o \"contactType\" (1-Pessoal, 2-Catlogo Geral).",
		method 	: ["POST"],
		rest 	: "Catalog/ContactPicture",
		click	: "execute.ajax('catalog_contact_picture')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			contactID 	:["text", "enabled", "string", false, "", "ID do Contato que ser retornado a foto"],
			contactType :["text", "enabled", "string", false, "1", "Tipo do contato a ser buscado (1-Pessoal, 2-Catlogo Geral)" ]	
		}

	},

	calendar_events:
	{
		apps	: ["calendar"],
		id 		: "calendar_events",
		description : "Retorna os Eventos do Calendrio, Recebe como parametro a data inicial \"dateStart\" e a data final \"dateEnd\" e retorna todos os eventos no periodo.",
		method 	: ["POST"],
		rest 	: "Calendar/Events",
		click	: "execute.ajax('calendar_events')",
		params 	:
		{
			auth 		:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			dateStart 	:["text", "enabled", "string", true, "", "Data inicial de consulta da agenda(DD/MM/YYYY)"],
			dateEnd		:["text", "enabled", "string", true, "", "Data final de consulta da agenda(DD/MM/YYYY)"]
		}
	},

	admin_create_user:
	{
		apps	: ["admin"],
		id 		: "admin_create_user",
		description : "Cria um usurio no Expresso, necessrio ter a permisso para a criao ( Mdulo ExpressoAdmin )",
		method	: ["POST"],
		rest	: "Admin/CreateUser",
		click	: "execute.ajax('admin_create_user')",
		params 	:
		{
			auth 				:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],	
			account_login		:["text", "enabled", "string", true, "", "Login do usurio"],
			account_email		:["text", "enabled", "string", true, "", "Email do usurio"],
			account_name		:["text", "enabled", "string", true, "", "Nome do usurio"],
			account_profile 	:["text", "enabled", "string", true, "", "Perfil do usurio( Verifique se o perfil est disponvel no servidor)"], 
			account_password 	:["password", "enabled", "string", true, "", "Senha do usurio"],
			account_re_password	:["password", "enabled", "string", true, "", "Confirmao da senha do usurio"],
			account_phone		:["text", "enabled", "string", true, "", "Telefone do usurio. Mscara padro (00)0000-0000"],
			account_cpf			:["text", "enabled", "string", true, "", "CPF do usurio. Mscara padro 000.000.000-00"],
			account_rg 			:["text", "enabled", "string", true, "", "RG do usurio"],
			account_rg_uf 		:["text", "enabled", "string", true, "", "UF"],
			account_description :["text", "enabled", "string", true, "", "Descrio do usurio"]
		}
	},

	admin_search_user:
	{	
		apps	: ["admin"],
		id 		: "admin_search_user",
		description : "Faz a busca de usurio(s) no Expresso, necessrio ter a permisso para busca ( Mdulo ExpressoAdmin)",
		method	:[ "POST" ],
		rest 	: "Admin/SearchUser",
		click	: "execute.ajax('admin_search_user')",
		params 	:
		{
			auth 				:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			account_search_user	:["text", "enabled", "string", true, "", "Procurar usurio ( igual ao mdulo admin do expresso )"]		
		}
	},

	admin_delete_user:
	{
		apps	: ["admin"],
		id 		: "admin_delete_user",
		description : "Exclui um usrio no Expresso, necessrio ter a permisso para a excluso ( Mdulo ExpressoAdmin )",
		method	: ["POST"],
		rest 	: "Admin/DeleteUser",
		click	: "execute.ajax('admin_delete_user')",
		params 	:
		{
			auth 					:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			account_uid_del 		:["text", "enabled", "string", true, "", "UID do usurio" ],
			account_uidnumber_del 	:["text", "enabled", "string", true, "", "UIDNumber do usurio"]
		}
	},

	admin_edit_user:
	{
		apps	: ["admin"],
		id 		: "admin_edit_user",
		description : "Edita um usurio no Expresso, necessrio ter a permisso para excluso ( Mdulo ExpressoAdmin )",
		method	: ["POST"],
		rest 	: "Admin/EditUser",
		click	: "execute.ajax('admin_edit_user')",
		params 	:
		{
			auth 					:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			account_uidnumber_edit	:["text", "enabled", "string", true, "", "UIDNumber do usurio para edio"]
		}
	},

	admin_rename_user:
	{
		apps	: ["admin"],		
		id 		: "admin_rename_user",
		description : "Renomeia um usurio no Expresso, necessrio ter a permisso para excluso ( Mdulo ExpressoAdmin )",
		method	: ["POST"],
		rest	: "Admin/RenameUser",
		click	: "execute.ajax('admin_rename_user')",
		params 	:
		{
			auth 					:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			account_uid_rename		:["text", "enabled", "string", true, "", "UID do usurio a ser renomeado."],
			account_uid_new_rename	:["text", "enabled", "string", true, "", "Novo UID do usurio ser renomeado."]
		}
	},

	admin_update_user:
	{
		apps	: ["admin"],
		id 		: "admin_update_user",
		description : "Atualiza um usurio no Expresso, necessrio ter a permisso para excluso ( Mdulo ExpressoAdmin )",
		method	: ["POST"],
		rest	: "Admin/UpdateUser",
		click	: "execute.ajax('admin_update_user')",
		params 	:
		{
			auth 					:["text", "disabled", "string", true, "", "Chave de autenticao do usurio"],
			account_uidnumber_up	:["text", "enabled", "string", true, "", "UIDNumber do usurio"], 	
			account_login_up 		:["text", "enabled", "string", true, "", "Login do usurio"],	
			account_email_up 		:["text", "enabled", "string", true, "", "Email do usurio"], 	
			account_name_up 		:["text", "enabled", "string", true, "", "Nome do usurio"], 	
			account_password_up 	:["text", "enabled", "string", true, "", "Senha do usurio"], 	
			account_re_password_up	:["text", "enabled", "string", true, "", "Confirmao do usurio"], 	
			account_phone_up		:["text", "enabled", "string", true, "", "Telefone do usurio. Mscara padro (00)0000-0000"], 	
			account_cpf_up		 	:["text", "enabled", "string", true, "", "CPF do usurio. Mscara padro 000.000.000-00"], 	
			account_rg_up 			:["text", "enabled", "string", true, "", "RG do usurio"], 	
			account_rg_uf_up 		:["text", "enabled", "string", true, "", "UF"], 	
			account_description_up	:["text", "enabled", "string", true, "", "Descrio do usurio"] 	
		}
	}
};
// END Resources